import React from "react";
import styles from "./Overview.module.sass";

export default function Overview(props) {
  const accounts = [...new Set(props.transactions.map((txn) => {
    return txn.parts.map((part) => {
      return part.account;
    });
  }).flat())];
console.log(accounts)
  return <div className={styles.overview_card}>
    <pre>
        {JSON.stringify(props.stats, null, 2)}
    </pre>
  </div>;
}
